.modal {
    position: fixed;
    display: block;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    visibility: hidden;
    opacity: 0;
    transition: all 0.1s ease-in-out;
    // overflow: hidden;
    overflow-y: auto;
    overflow-x: hidden;
    z-index: 5000;
    > div:first-child {
      animation: unset;
      transition: unset;
    }
    &__backdrop {
      background: rgba(0, 0, 0, 0.8);
      //position: absolute;
      position: fixed;
      top: 0;
      right: 0;
      left: 0;
      bottom: 0;
      z-index: -1;
      visibility: hidden;
      overflow: hidden;
      &.bclose {
        display: none;
        visibility: hidden;
        opacity: 0;
      }
      &.bopen {
        opacity: 1;
        visibility: visible;
        display: block;
        body {
          overflow: hidden;
        }
      }
    }
    &__content {
      width: 100%;
      height: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      pointer-events: none;
    }
 
}
.open {
    visibility: visible;
    opacity: 1;
    > .modal__content {
      animation: showani 0.2s alternate forwards;
    }
}
.close {
    // display: none;
    animation: hideani 0.2s alternate forwards;
}
@keyframes showani {
    0% {
      transform: scale(0.7);
    }
  
    45% {
      transform: scale(1.05);
    }
  
    80% {
      transform: scale(0.95);
    }
  
    100% {
      transform: scale(1);
    }
}
  
// Disppearance animation
@keyframes hideani {
    0% {
      transform: scale(1);
      opacity: 1;
    }
  
    100% {
      transform: scale(0.5);
      opacity: 0;
    }
}


.contentwrap {
    position: relative;
    pointer-events: visible;
    background:url("../../static/images/bg_modal.png")top center no-repeat;
    background-size: 100% 100%;
    padding: 2% 4% 3% 4%;
    // width: 95%;
    // max-width: 600px;
    // max-height: calc(600px * (513 / 914));
    // height: calc(95vw * (513 / 914));
    width: 442px;
    height: 307px;
    text-align: center;
    color:#fff;
    @media (max-width: 768px) {
        width: 70vw;   
    }
    @media (max-width: 640px) {
        padding: 7%;
    }
    &.characterModal{
        //background:url("../../static/images/bg_modal_character.png")top center no-repeat;
        background-size: 100% 100%;    
        width: 50vw;
        & img{
            max-width: 100%;
        }
        @media (max-width: 640px) {
            width: 70vw;
        }
    }

}
.modal_btn{
    display: flex;
    justify-content: center;
}
.btn_close{
    position: absolute;
    right: -30px;
    top: -30px;
    cursor: pointer;
}
// .btn{
//     background: url('../../static/images/modal_btn_normal.png') no-repeat 0 0;
//     color: #2f1706;
//    // display: inline-block;
//     background-size: 100% 100%;
//     width: 100px;
//     height: 28px;
//     line-height: 1;
//     padding: 10px;
//     font-family: "Kanit-SemiBold";
//     font-size: 20px;
//     margin: 0 3%;
//     cursor: pointer;
//     &:hover{
//         background: url('../../static/images/modal_btn_hover.png') no-repeat 0 0;
//         background-size: 100% 100%;
//     }
//     @media (max-width: 640px) {
//         font-size: 16px;
//         padding: 5px;  
//         line-height: 1.5;    
//     }
// }
.inner{
    height: 25vh;
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 1.2;
    font-family: 'Kanit-Light', tahoma;
    font-size: 21px;
    margin: 5% 0;
    @media (max-width: 640px) {
        font-size: 16px;
        height: 20vh;
    }
    &--board{
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 100%;
    }
    &--boardmaxwidth{
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 90%;
    }
}
.text{
    font-family: 'Kanit', tahoma;
    //margin: 2% 0;
    &--head{
        font-size: 21px;
        line-height: 1;
      
        @media(max-width: 640px) {
           // font-size: 8vw;
        }
    }
    &--detail{
        font-family: 'Kanit-Light', tahoma;
        font-size: 21px;
    }
    &--text{
        font-size: 2em;
        color: #65431d;
        @media(max-width: 640px) {
            font-size: 8vw;
        }
    }
    &--purchase-h{
        font-size: 1.8em;
        color: #65431d;
        @media(max-width: 640px) {
            font-size: 7vw;
        }
    }
    &--purchase-info{
        font-size: 1.4em;
        color: #65431d;
        text-align: left;
        padding-left: 15%;
        @media(max-width: 640px) {
            font-size: 5vw;
            text-align: left;
            padding-left: 10px;
        }
    }
}

.btn_ok{
    //background:url("../../static/images/btn_ok.png")top center no-repeat;
    width: 95px;
    height: 29px;
    cursor: pointer;
    margin: 5px 10px;
    &:hover{
        background-position: bottom center;
    }
}
.btn_cancel{
    //background:url("../../static/images/btn_cancel.png")top center no-repeat;
    width: 95px;
    height: 29px;
    cursor: pointer;
    margin: 5px 10px;
    &:hover{
        background-position: bottom center;
    }
}